Skip to Content

POST /provider/draft

Patch Provider Draft

Patch provider draft — composable infra architecture.

Request Body (PatchProviderDraftApiRequest)

FieldTypeRequiredDescription
draft_idstringNoExisting draft ID to update
input_draft_idstringNoLegacy alias for existing draft ID to update
namestringNoDisplay name value
name_idstringNoName resource identifier
descriptionstringNoDescription text value
description_idstringNoDescription resource identifier
flag_idsstring[]NoSelected flag option UUIDs — canonical
activebooleanNoDenormalized provider_active flag state; resolved to a flag_ids entry server-side
departmentsstring[]NoDepartment names to match
department_idsstring[]NoDepartment identifiers
endpointstringNoProvider endpoint URL
endpoint_idstringNoEndpoint resource identifier
endpoint_idsstring[]NoEndpoint resource identifiers
keystringNoProvider key value
key_namestringNoProvider key display name
key_descriptionstringNoProvider key description
key_idstringNoKey resource identifier
key_idsstring[]NoAPI key resource identifiers
valuestringNoProvider identifier value
value_idstringNoValue resource identifier
pending_idsstring[]NoPending resource identifiers to preserve
idempotency_keystringNoOperation key for ack semantics
softbooleanNoStage the draft dormant (active=False) — propose; the ack ({idempotency_key, accept}) promotes/rejects it
acceptbooleanNoAccept or reject acknowledgement when idempotency_key is supplied

Response (PatchProviderDraftApiResponse)

FieldTypeRequiredDescription
successbooleanYesWhether the draft save succeeded
draft_idstringYesDraft unique identifier
idempotency_keystringNoOperation key echoed back for client correlation
messagestringYesResult message
form_stateapp__infra__provider__types__DraftFormStateNoServer-authoritative form state
Last updated on